# $Revision: 1.5 $, $Date: 2004/12/01 20:58:10 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Net
%define		pnam	BGP
Summary:	Net::BGP - Border Gateway Protocol version 4 speaker/listener library
Summary(pl):	Net::BGP - biblioteka obsugujca Border Gateway Protocol w wersji 4
Name:		perl-Net-BGP
Version:	0.08
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	946d056bd3db24a44b48d8538f8b5dc3
%if %{with tests}
BuildRequires:	perl(List::Util) >= 1.01
BuildRequires:	perl-Test-Harness >= 2.00
BuildRequires:	perl-Test-Simple >= 0.47
%endif
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module is an implementation of the BGP-4 inter-domain routing
protocol. It encapsulates all of the functionality needed to establish
and maintain a BGP peering session and exchange routing update
information with the peer. It aims to provide a simple API to the BGP
protocol for the purposes of automation, logging, monitoring, testing,
and similar tasks using the power and flexibility of Perl. The module
does not implement the functionality of a RIB (Routing Information
Base) nor does it modify the kernel routing table of the host system.
However, such operations could be implemented using the API provided
by the module.

%description -l pl
Ten modu jest implementacj protokou routingu midzydomenowego
BGP-4. Zawiera on ca funkcjonalno potrzebn do ustanowienia i
zarzdzania sesj BGP oraz wymiany informacji o uaktualnieniach
routingu z drug stron. Celem jest dostarczenie prostego API do
protokou BGP do celw automatyzacji, logowania, monitorowania,
testowania i podobnych zada z uyciem potgi i elastycznoci Perla.
Modu nie zawiera implementacji RIB (Routing Information Base) ani
nie modyfikuje tablicy routingu w jdrze systemu, jednak takie
operacje mog by zaimplementowane przy uyciu API dostarczonego
przez ten modu.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
mv t/00-Signature.t{,.blah}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Net/BGP.pm
%{perl_vendorlib}/Net/BGP
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Net-BGP.spec,v $
Revision 1.5  2004/12/01 20:58:10  radek
- turned off signature test (why did it fail?)

Revision 1.4  2004/12/01 17:59:57  radek
- autoupdated to 0.08

Revision 1.3  2004/11/03 22:30:35  paladine
- formatting

Revision 1.2  2004/04/27 00:28:03  ankry
- license fixes, cosmetics

Revision 1.1  2003/12/17 15:01:27  qboosh
- new

